@charset "UTF-8";

/* ソート */
.sort {
  display: none;
}

/* レビュー */
.review a:hover {
  opacity: 0.8;
}

.review {
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
  margin-bottom: 80px;
}

.review__main {
  width: 74%;
}

.review__main__inner {
  margin-bottom: 80px;
  padding: 45px 30px 20px;
  background: #f8f8f8;
}

.review__link {
  margin-bottom: 35px;
}

.review__link a {
  display: block;
  padding: 20px;
  font-size: 18px;
  font-weight: bold;
  color: white;
  text-align: center;
  background: #e33b70;
  border-radius: 4px;
  box-shadow: 0 6px 0 #bb0b43;
  transition: all 0.3s ease;
}

.review__link a:hover {
  box-shadow: none;
  opacity: 1;
  text-decoration: none;
  transform: translateY(6px);
}

.reviewList {
  display: flex;
  flex-direction: column;
  gap: 10px;
  padding: 20px 30px;
  color: #343434;
  background: white;
}

.reviewList__item {
  border-bottom: 0.5px solid #707070;
}

.reviewList__item__date {
  font-size: 14px;
  text-align: right;
}

.reviewList__item__point {
  margin-bottom: 5px;
  font-size: 19px;
  font-weight: bold;
  color: #d55c00;
  letter-spacing: 0.25em;
}

.reviewList__item__info {
  margin-bottom: 10px;
  font-size: 14px;
}

.reviewList__item__info span + span:before {
  content: ' / ';
}

.reviewList__item__title {
  margin: 0 0 10px 0;
  font-size: 19px;
  font-weight: bold;
  color: inherit;
  line-height: 1.4;
}

.reviewList__item__detail {
  margin-bottom: 25px;
  line-height: 1.6;
}

.reviewList__item__detail p {
  margin: 0;
  font-size: 16px;
}

.readmore p {
  display: -webkit-box;
  overflow: hidden;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 4;
  line-clamp: 4;
}

.readmore__link {
  text-align: right;
}

.readmore__link label {
  font-size: 14px;
  color: #004ea3;
  text-decoration: underline;
  cursor: pointer;
}

.readmore__link input {
  display: none;
}

.readmore:has(:checked) p {
  display: block;
}

.readmore:has(:checked) .readmore__link label {
  display: none;
}

.reviewList__item__comment {
  margin-bottom: 25px;
  padding: 15px;
  background: #f9f9f9;
}

.reviewList__item__comment h4 {
  margin: 0 0 5px 0;
  font-size: 14px;
  font-weight: bold;
  line-height: 1.4;
}

.reviewList__item__comment p {
  margin: 0;
  font-size: 14px;
}

.reviewList__pager {
  margin: 40px auto 30px;
  display: table;
}

.reviewList__pager .wp-pagenavi a,
.reviewList__pager .wp-pagenavi span {
  width: 32px;
  height: 32px;
  padding: 0 !important;
  line-height: 32px;
  color: #11a9db !important;
  font-size: 13px;
  border: solid 1px #11a9db !important;
  background: #fff !important;
  text-align: center;
  display: inline-block;
  box-sizing: border-box;
}

.reviewList__pager .wp-pagenavi .current {
  color: #fff !important;
  background: #11a9db !important;
  border: solid 1px #11a9db !important;
}

.reviewList__pager .wp-pagenavi a:hover {
  border: solid 1px #11a9db;
  text-decoration: none;
}

/* レビュー 投稿 */
.postReview {
  padding: 30px;
  background: #fff6f6;
}

.postReview__title {
  margin-bottom: 50px;
  padding: 15px;
  font-size: 18px;
  font-weight: bold;
  color: white;
  background: #e33b70;
  text-align: center;
}

.form {
  display: flex;
  flex-direction: column;
  gap: 15px;
}

.form__row {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 15px;
  padding-top: 30px;
  border-top: 1px solid #b5b5b5;
}

.form__row:first-child {
  padding: 0;
  border-top: none;
}

.form__row .form__label {
  display: block;
  width: 100%;
  padding-bottom: 10px;
  font-size: 16px;
  font-weight: bold;
  border-bottom: 2px solid #f07997;
}

.form__row input[type='text'],
.form__row textarea {
  box-sizing: border-box;
  width: 100%;
  padding: 10px;
  font-size: 16px;
  border: 1px solid #efefef;
}

.form__input {
  position: relative;
  width: 100%;
}

.form__input .tooltip {
  display: none;
  position: absolute;
  top: calc(100% + 5px);
  left: 0;
  padding: 5px 10px;
  font-size: 12px;
  color: white;
  background: black;
  border-radius: 5px;
}

.form__input .tooltip::after {
  content: '';
  position: absolute;
  top: -10px;
  left: 50%;
  width: 0;
  height: 0;
  border: 5px solid transparent;
  border-bottom-color: black;
  transform: translateX(-50%);
}

.form__input .tooltip.active {
  display: inline-block;
  opacity: 1;
}

.form__select {
  display: inline-flex;
  align-items: center;
  position: relative;
}

.form__select::after {
  position: absolute;
  right: 15px;
  width: 10px;
  height: 7px;
  background-color: #535353;
  clip-path: polygon(0 0, 100% 0, 50% 100%);
  content: '';
  pointer-events: none;
}

.form__select select {
  box-sizing: border-box;
  appearance: none;
  padding: 10px 40px 10px 10px;
  font-size: 16px;
  border: 1px solid #efefef;
  border-radius: 3px;
  cursor: pointer;
}

.form__point {
  display: flex;
  flex-direction: row-reverse;
  align-items: center;
  gap: 5px;
}

.form__point input[type='radio'] {
  display: none;
}

.form__point label {
  font-size: 25px;
  color: #d4d4d4;
  cursor: pointer;
}

.form__point span {
  margin-left: 10px;
  font-size: 13px;
  color: #a8a8a8;
}

.form__point label:hover,
.form__point label:hover ~ label,
.form__point input[type='radio']:checked ~ label {
  color: #d55c00;
}

.form__submit {
  display: flex;
  justify-content: center;
  gap: 10px;
  padding-top: 10px;
}

.form__submit button,
.form__submit input[type='button'],
.form__submit a {
  appearance: none;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 283px;
  height: 58px;
  padding: 0;
  font-size: 16px;
  font-weight: bold;
  color: white;
  background: #bd1916;
  border: none;
  outline: none;
  border-radius: 5px;
  box-shadow: 0 3px 0 rgb(58, 58, 58, 0.16);
  transition: all 0.3s ease;
}

.form__submit button:hover,
.form__submit input[type='button']:hover,
.form__submit a:hover {
  box-shadow: none;
  text-decoration: none;
  transform: translateY(3px);
}

.form__error {
  margin: 0 0 30px 0;
}

.form__error h4 {
  margin: 0 0 20px 0;
  font-size: 16px;
  font-weight: bold;
}

.form__error p {
  margin: 5px 0;
  font-size: 16px;
}

.form__confirm {
  width: 100%;
  margin-bottom: 30px;
  font-size: 16px;
}

.form__confirm p {
  margin-bottom: 20px;
}

.form__confirm table {
  width: 100%;
}

.form__confirm table tr {
  border-bottom: 1px solid #dfdfdf;
}

.form__confirm table th {
  white-space: nowrap;
  padding: 5px 20px 5px 0;
  text-align: left;
}

.form__confirm table td {
  padding: 5px 0;
}

.form__confirm__point {
  color: #d55c00;
}

.form__complete {
  margin: 0 0 30px 0;
  font-size: 16px;
}

/* レビュー サイド */
.review__side {
  width: 22%;
}

.review__side__box {
  margin: 0 0 30px;
}

.review__side__title {
  background: #df5074;
  color: #fff;
  font-size: 18px;
  letter-spacing: 0.05em;
  margin: 0;
  padding: 15px 20px;
  line-height: 1.4;
}

.review__side__box ul {
  font-size: 16px;
  color: #f07997;
  border-width: 0 1px 1px 1px;
  border-style: solid;
  border-color: #f07997;
  padding: 20px;
}

.review__side__box a {
  color: #f07997;
}

.review__side__box ul li + li {
  margin-top: 10px;
  padding-top: 10px;
  border-top: 1px solid #f07997;
}

@media (max-width: 767px) {
  /* ソート */
  .sort {
    display: block;
  }

  .sort__open {
    display: flex;
    align-items: center;
    gap: 7px;
    margin-bottom: 20px;
    padding: 10px;
    background: #fff6f6;
  }

  .sort__open span {
    flex: 1 1 auto;
    font-size: 14px;
    font-weight: bold;
    color: #e25e5e;
    text-align: center;
  }

  .sort__open button {
    flex: 0 0 auto;
    appearance: none;
    width: 90px;
    height: 39px;
    font-size: 13px;
    color: white;
    border: none;
    border-radius: 2px;
    background: #f07997;
  }

  .sort__modal {
    opacity: 0;
    visibility: hidden;
    box-sizing: border-box;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 1000;
    width: 100%;
    height: 100%;
    padding-top: 60px;
    background: white;
  }

  .sort__modal.open {
    opacity: 1;
    visibility: visible;
  }

  .sort__modal__title {
    margin: 0;
    padding: 10px;
    font-size: 18px;
    font-weight: bold;
    color: white;
    line-height: 1.4;
    text-align: center;
    background: #bd1916;
  }

  .sort__modal__inner {
    box-sizing: border-box;
    position: relative;
    height: 100%;
    padding-bottom: 70px;
    overflow-y: auto;
  }

  .sort__modal__tab {
    display: flex;
    flex-wrap: wrap;
  }

  .sort__modal__tab__item {
    box-sizing: border-box;
    display: flex;
    justify-content: center;
    width: calc(100% / 3);
    padding: 10px;
    font-size: 14px;
    font-weight: bold;
    color: #747474;
    border-bottom: 2px solid #c9c9c9;
  }

  .sort__modal__tab input[name='tab-item'] {
    display: none;
  }

  .sort__modal__tab input[type='radio']:checked + label {
    color: #e32c5a;
    border-color: #e32c5a;
  }

  .sort__modal__list {
    display: none;
    width: 100%;
    padding: 0 10px;
  }

  .sort__modal__list ul {
    color: #e32c5a;
  }

  .sort__modal__list ul li {
    padding: 15px 10px;
    border-bottom: 0.5px solid #707070;
  }

  .sort__modal__list ul li label {
    position: relative;
    display: block;
    padding-right: 1.5em;
  }

  .sort__modal__list ul li input {
    display: none;
  }

  .sort__modal__list ul li input:checked + label:after {
    content: '✔';
    position: absolute;
    top: 50%;
    right: 0;
    transform: translateY(-50%);
    font-size: 18px;
  }

  #tab-point:checked ~ #content-point,
  #tab-cleaning:checked ~ #content-cleaning,
  #tab-area:checked ~ #content-area {
    display: block;
  }

  .sort__modal__button {
    box-sizing: border-box;
    position: fixed;
    bottom: 0;
    left: 0;
    display: flex;
    justify-content: center;
    gap: 7px;
    width: 100%;
    padding: 10px;
  }

  .sort__modal__button button {
    appearance: none;
    height: 46px;
    font-size: 16px;
    font-weight: bold;
    color: white;
    border: none;
    border-radius: 5px;
    cursor: pointer;
  }

  .sort__modal__button .cancel {
    flex: 0 1 140px;
    background: #aaaaaa;
  }

  .sort__modal__button .search {
    flex: 0 1 225px;
    background: #e5084d;
  }

  /* レビュー */
  .midashi {
    margin-bottom: 0;
  }

  .review {
    margin-bottom: 40px;
  }

  .review__main {
    width: 100%;
  }

  .review__main__inner {
    width: 94%;
    margin: 0 auto;
    padding: 0;
    background: white;
  }

  .review__side {
    display: none;
  }

  .review__link {
    margin-bottom: 35px;
  }

  .review__link a {
    display: block;
    padding: 20px;
    font-size: 16px;
    font-weight: bold;
    color: white;
    text-align: center;
    border-radius: 4px;
    transition: all 0.3s ease;
  }

  .review__link a:hover {
    box-shadow: none;
    opacity: 1;
    text-decoration: none;
    transform: translateY(6px);
  }

  .reviewList {
    display: flex;
    flex-direction: column;
    gap: 10px;
    padding: 0;
    color: #343434;
    line-height: 1.5;
    background: white;
  }

  .reviewList__wrap {
    padding: 15px 10px;
    border: 1px solid #707070;
  }

  .reviewList__item {
    border-bottom: 1px solid #707070;
  }

  .reviewList__item__nickname {
    margin: 0 0 5px 0;
    font-size: 14px;
  }

  .reviewList__item__info {
    display: flex;
    gap: 10px;
    margin-bottom: 10px;
    font-size: 12px;
  }

  .reviewList__item__info p {
    flex: 1 1 auto;
  }

  .reviewList__item__info p:before {
    content: '（';
  }

  .reviewList__item__info p:after {
    content: '）';
  }

  .reviewList__item__info p span + span:before {
    content: ' / ';
  }

  .reviewList__item__info time {
    flex: 0 0 auto;
  }

  .reviewList__item__point {
    margin-bottom: 10px;
    font-size: 19px;
    font-weight: bold;
    color: #d55c00;
    letter-spacing: 0.25em;
  }

  .reviewList__item__title {
    margin: 0 0 10px 0;
    font-size: 15px;
    font-weight: bold;
    line-height: 1.4;
  }

  .reviewList__item__detail {
    margin-bottom: 20px;
  }

  .reviewList__item__detail p {
    margin: 0;
    font-size: 13px;
  }

  .readmore p {
    display: -webkit-box;
    overflow: hidden;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 4;
    line-clamp: 4;
  }

  .readmore__link {
    text-align: right;
  }

  .readmore__link label {
    font-size: 13px;
    color: #004ea3;
    text-decoration: underline;
    cursor: pointer;
  }

  .readmore__link input {
    display: none;
  }

  .readmore:has(:checked) p {
    display: block;
  }

  .readmore:has(:checked) .readmore__link label {
    display: none;
  }

  .reviewList__item__comment {
    margin-bottom: 20px;
    padding: 15px;
    background: #f9f9f9;
  }

  .reviewList__item__comment h5 {
    margin: 0 0 5px 0;
    font-size: 14px;
    font-weight: bold;
    line-height: 1.4;
  }

  .reviewList__item__comment p {
    margin: 0;
    font-size: 12px;
  }

  .reviewList__pager {
    margin: 0 auto;
  }

  /* レビュー 投稿 */
  .postReview {
    width: 94%;
    margin: 40px auto;
    padding: 0;
  }

  .postReview__title {
    margin: 0;
    line-height: 1.4;
  }

  .postReview__form {
    padding: 15px 5%;
  }

  .form {
    padding: 15px 0;
  }

  .form__row .form__label {
    padding-bottom: 7px;
    font-size: 17px;
  }

  .form__submit {
    flex-direction: column;
    align-items: center;
  }

  .form__error p {
    font-size: 14px;
    text-align: left;
  }

  .form__confirm {
    font-size: 14px;
  }

  .form__complete {
    font-size: 14px;
  }
}
